ALSAMIXER(1)

NAME
alsamixer - soundcard mixer for ALSA soundcard driver, with ncurses interface

SYNOPSIS

alsamixer [options]

DESCRIPTION
alsamixer is an ncurses mixer program for use with the ALSA soundcard drivers. It supports multiple soundcards with multiple devices.

INVOKING

alsamixer [options]

  Options

-h, -help
    Help: show available flags.

-c <card number or idenfication>
    Select the soundcard to use, if you have more than one. Cards are numbered from 0 (the default).

-D <device identification>
    Select the mixer device to control.

-g <toggle color settings>
    Toggle the using of colors.

-s <minimize mixer window>
    Minimize the mixer window.

KEYBOARD COMMANDS
alsamixer recognizes the following keyboard commands to control the soundcard.

  General Controls

The Left and right arrow keys are used to select the channel (or device, depending on your preferred terminology). You can also use n ("next") and p ("previous").

The Up and Down Arrows control the volume for the currently selected device. You can also use + or - for the same purpose. Both the left and right signals are affected. For independent left and right control, see below.

The B or = key adjusts the balance of volumes on left and right channels.

M toggles muting for the current channel (both left and right). You can mute left and right independently by using , (or <) and . (or >) respectively.

SPACE toggles recording: the current channel will be added or removed from the sources used for recording. This only works for valid input channels, of course. You can toggle left and right independently by using Insert (or ;) and Delete (or ') respectively.

L re-draws the screen.

  Quick Volume Changes

PageUp increases volume by 5.

PageDown decreases volume by 5.

End sets volume to 0.

You can also control left & right levels for the current channel independently, as follows:

[Q | W | E ] -- turn UP [ left | both | right ]

[Z | X | C ] -- turn DOWN [ left | both | right ]

If the currently selected mixer channel is not a stereo channel, then all UP keys will work like W, and all DOWN keys will work like X.

  Exiting

Quit the program with ALT Q, or by hitting ESC. Please note that you might need to hit ESC twice on some terminals since it's regarded as a prefix key.

SEE ALSO
amixer(1), aplay(1), arecord(1)

BUGS
Some terminal emulators (e.g. nxterm) may not work quite right with ncurses, but that's their own damn fault. Plain old xterm seems to be fine.

AUTHOR
alsamixer has been written by Tim Janik <timj@gtk.org> and been furtherly improved by Jaroslav Kysela <perex@suse.cz>.

This manual page was provided by Paul Winkler <zarmzarm@erols.com>.